package cn.spatiotemporal.core.async;

/**
 * 异步调用相关常量
 * @author marquis
 *
 */
public class AsyncConstants {

	/**
	 * 异步调用通讯用MQ
	 */
	public static final String ASYNC_RABBIT_MQ = "ASYNC_RABBIT_MQ";

	/**
	 * 异步调用消息队列的Exchange
	 */
	public static final String ASYNC_RABBIT_MQ_EXCHANGE = "ASYNC_RABBIT_MQ_EXCHANGE";
	
	/**
	 * 异步调用发送消息的Routing Key前缀
	 */
	public static final String ASYNC_CALL_ROUTING_KEY = "asyncCall.";

	/**
	 * 异步调用返回消息的Routing Key前缀
	 */
	public static final String ASYNC_RETURN_ROUTING_KEY = "asyncReturn.";

	/**
	 * 异步调用发送消息的RabbitMQ前缀
	 */
	public static final String ASYNC_CALL_MQ = "asyncCall.";

	/**
	 * 异步调用返回消息的RabbitMQ前缀
	 */
	public static final String ASYNC_RETURN_MQ = "asyncReturn.";

}
