package cn.spatiotemporal.core.async;

import java.io.Serializable;

import lombok.Getter;
import lombok.Setter;

/**
 * 异步调用 呼出参数消息体
 * @author marquis
 *
 */
@Getter
@Setter
public class AsyncParamMessage implements  Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -5277322553039584612L;

	/**
	 * Caller ID调用者的模块ID
	 */
	private String cid;
	
	/**
	 * 异步调用实例ID
	 */
	private String instanceId;

	/**
	 * 调用对象Class名
	 */
	private String target;
	
	/**
	 * 调用方法名
	 */
	private String method;
	
	/**
	 * 调用参数json
	 */
	private String params;
}
