package cn.spatiotemporal.core.async;

import lombok.Data;

/**
 * 异步调用状态
 * @author marquis
 *
 */
@Data
public class CallStatus {
	
	/**
	 * 调用ID
	 */
	private long callId;

	/**
	 * 执行状态：成功、失败
	 */
	private boolean success;
	
	/**
	 * 执行阶段
	 */
	private AsyncProcessPhase phase;
	
	/**
	 * 返回信息
	 */
	private String message;
}
