package cn.spatiotemporal.core.async.exception;

/**
 * 业务异常类的公共基类
 * @author marquis
 *
 */
public class AsyncProcessException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4534112171112827815L;
	
	private String code;
	
	public AsyncProcessException(String message) {
		super(message);
		this.code = "502";
	}

	public AsyncProcessException(String code, String message) {
		super(message);
		this.code = code;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
}
