package cn.spatiotemporal.core.ftp;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;

import org.apache.commons.net.ftp.FTPClient;

public interface FtpDao {

	FTPClient getCurrentClient();
	
    boolean uploadFile(String path, String fileName, String originFileName);
    
    boolean uploadFile(String path, String fileName, InputStream inputStream) throws IOException;
 
    boolean downloadFile(String path, String fileName, String localPath);
 
    boolean deleteFile(String path, String fileName);
 
    boolean createDirectory(String remote);
 
    boolean existFile(String path);
 
    boolean makeDirectory(String directory);
 
    List<String> retrieveFileNames(String remotePath);
}
