package cn.spatiotemporal.core.utils;

import java.io.UnsupportedEncodingException;

/**   
 * @ClassName: StringUtils    
 * @Description: TODO(这里用一句话描述这个类的作用)
 * @date 2020年1月6日 下午4:40:40    
 *     
 * @author  Q.JI
 * @version  
 * @since   JDK 1.8
*/
public class StringUtils extends org.apache.commons.lang.StringUtils{
	
    private static final char SEPARATOR = '_';
    private static final String CHARSET_NAME = "UTF-8";
    
	 /**
     * 转换为字节数组
     * @param str
     * @return
     */
    public static String toString(byte[] bytes){
    	try {
			return new String(bytes, CHARSET_NAME);
		} catch (UnsupportedEncodingException e) {
			return EMPTY;
		}
    }
    
    /**
	 * 如果对象为空，则使用defaultVal值 
	 * 	see: ObjectUtils.toString(obj, defaultVal)
	 * @param obj
	 * @param defaultVal
	 * @return
	 */
    public static String toString(final Object obj, final String defaultVal) {
    	 return obj == null ? defaultVal : obj.toString();
    }
    
    /**
     * 
     * @Title: nvl    
     * @Description: change string to "" if it is null
     * @param sInput
     * @return  
     * String
     */
	public static String nvl(String sInput) {
		if (sInput == null) {
			return "";
		} else {
			return sInput;
		}
	}
}
